/* CSS Document */

@font-face {
  font-family: IRANSansX;
  font-style: normal;
  font-weight: 600;
  font-display: swap;
  src: url("assets/fonts/iransansx/IRANSansX-DemiBold.woff") format("woff"),
    url("assets/fonts/iransansx/IRANSansX-DemiBold.woff2") format("woff2");
}
@font-face {
  font-family: IRANSansX;
  font-style: normal;
  font-weight: normal;
  font-display: swap;
  src: url("assets/fonts/iransansx/IRANSansX-Regular.woff") format("woff"),
    url("assets/fonts/iransansx/IRANSansX-Regular.woff2") format("woff2");
}

*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  border-spacing: 0;
  box-sizing: border-box;
  text-decoration: none;
  list-style: none;
}
:root {
  --font-size-xlarge: 1.4em;
  --font-size-large: 1.2em;
  --font-size-small: 0.8em;
  --font-size-xsmall: 0.6em;

  --color-accent: #4d4acb;
  --color-accent-com: #ff8952;

  --color-bg-main: #e0e0e0;
  --color-bg-second: #ffffff;
  --color-bg-third: #f9f9f9;

  --color-border: #e0e0e0;

  --color-font-main: #000000;

  --border-radius-big: 50px;
  --border-radius-sml: 20px;
}
html {
  scroll-behavior: smooth;
}
body {
  font-family: IRANSansX !important;
  font-size: 1rem;
  direction: rtl;
  background-color: var(--color-bg-main);
  color: var(--color-font-main);
  -moz-font-feature-settings: "ss02";
  -webkit-font-feature-settings: "ss02";
  font-feature-settings: "ss02";
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 3rem;
  margin: 2rem auto;
  width: 100%;
  max-width: 94%;
}

h1,
h2,
h3,
h4 {
  font-family: IRANSansX !important;
  -moz-font-feature-settings: "ss02";
  -webkit-font-feature-settings: "ss02";
  font-feature-settings: "ss02";
  color: var(--color-font-main);
}
input,
textarea,
select,
option,
button {
  font-family: IRANSansX !important;
  -moz-font-feature-settings: "ss02";
  -webkit-font-feature-settings: "ss02";
  font-feature-settings: "ss02";
  color: var(--color-font-main);
  font-size: 1rem;
}
::selection {
  background-color: var(--color-accent);
  color: #ffffff;
}
:hover {
  transition: all 0.3s ease;
}
img {
  max-width: 100%;
  height: auto;
}
p {
  line-height: 2;
  text-align: justify;
}
button {
  cursor: pointer;
}
h1 {
  color: var(--color-accent);
}
h2,
h3 {
  margin-bottom: 1rem;
  display: flex;
  align-items: center;
  gap: 1rem;
}
h2::before {
  font-family: "Font Awesome 6 Free";
  font-weight: 900;
  content: "\f111";
  position: relative;
  top: -0.09rem;
  font-size: var(--font-size-small);
  color: var(--color-accent-com);
}
header {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 2rem;
  align-items: center;
  justify-content: space-between;
}
header div {
  display: flex;
  flex-direction: column;
  gap: 1em;
  align-items: center;
}
header #loged {
  width: 100%;
  padding: 0.5em;
  text-align: center;
  background-color: var(--color-bg-second);
  border-radius: 5em;
  color: var(--color-font-main);
}

form {
  width: 100%;
}

#progress {
  position: fixed;
  top: 0;
  right: 0;
  width: 100%;
  height: 0.5rem;
  background-color: var(--color-bg-second);
  display: flex;
}
#bar {
  width: 0%;
  background-color: var(--color-accent);
  transition: width 0.5s ease;
}

.step {
  background-color: var(--color-bg-second);
  padding: 2em;
  border-radius: var(--border-radius-big);
  display: none;
  flex-direction: column;
  gap: 1.5rem;
  width: 100%;
}
.show {
  display: flex;
}
.step p::before {
  font-family: "Font Awesome 6 Free";
  font-weight: 900;
  font-size: 6px;
  content: "\f111";
  position: relative;
  top: -0.09rem;
  margin-left: 0.5rem;
  color: var(--color-accent);
}

table {
  border: 1px solid var(--color-border);
  border-radius: var(--border-radius-sml);
  width: 100%;
  overflow: hidden;
}
td,
th {
  padding: 1.5rem 0.5rem;
  background-color: var(--color-bg-second);
  border-bottom: 1px solid var(--color-border);
  text-align: center;
}
tr:last-child td,
tr:last-child th {
  border: none;
}
tr:hover > td,
tr:hover > th {
  background-color: var(--color-bg-third);
}

input,
select,
textarea,
.answerCar {
  outline: none;
  padding: 1rem 1.5rem;
  border-radius: var(--border-radius-big);
  text-align: center;
  appearance: none;
  resize: none;
  border: 1px solid var(--color-border);
}
.answerCar a {
  color: var(--color-accent);
}
audio {
  width: 100%;
  outline: none;
  border-radius: var(--border-radius-big);
  border: 1px solid var(--color-border);
}
.ltr {
  direction: ltr;
}
textarea {
  border-radius: var(--border-radius-sml);
}
button,
#reqStatusLink,
#restart,
.dologin {
  background-color: var(--color-accent);
  color: #ffffff;
  border: none;
  outline: none;
  font-weight: 600;
  padding: 0.75rem 1rem;
  border-radius: var(--border-radius-big);
  display: inline-flex;
  align-items: center;
  justify-content: center;
  gap: 0.75rem;
  box-shadow: inset 0 0 0 3px var(--color-accent);
  font-size: 0.85rem;
}
.dologin {
  min-width: 80%;
}
.dologin.disabled {
  background-color: var(--color-bg-main) !important;
  box-shadow: none !important;
  color: #000000 !important;
  pointer-events: none;
}
button:disabled {
  background-color: var(--color-bg-main) !important;
  box-shadow: none !important;
  color: #000000 !important;
  cursor: not-allowed;
}
.compBtn {
  background-color: var(--color-accent-com);
  box-shadow: inset 0 0 0 3px var(--color-accent-com);
}

#getResoult {
  background-color: var(--color-accent);
  padding: 2rem;
  border-radius: var(--border-radius-sml);
  display: flex;
  flex-direction: column;
  gap: 2rem;
  border: 1px solid var(--color-border);
}
#getResoult p {
  color: #ffffff;
}
#getResoult p::before {
  color: var(--color-accent-com);
}
.dologin0 {
  background-color: var(--color-bg-second);
  color: var(--color-accent);
  box-shadow: inset 0 0 0 3px var(--color-bg-second);
}
#promoCodeBox {
  background-color: var(--color-bg-third);
  padding: 2rem;
  border-radius: var(--border-radius-sml);
  display: grid;
  grid-template-columns: 1fr;
  gap: 2rem;
  border: 1px solid var(--color-border);
}
#promoCodeBox label,
#trackingCode {
  grid-column: 1/2;
}

.row {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}
.field {
  display: flex;
  flex-direction: column;
  gap: 1rem;
  flex: 1;
}
.checklist {
  display: grid;
  grid-template-columns: 1fr;
  gap: 1rem;
}
.tcCHK input {
  display: none;
}
.tcCHK {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 0.5rem;
  padding: 1rem 1.5rem;
  border-radius: var(--border-radius-big);
  text-align: center;
  border: 1px solid var(--color-border);
  cursor: pointer;
}
.tcCHK i {
  width: 0;
  height: 0;
  overflow: hidden;
  color: var(--color-accent);
}
input[type="checkbox"]:checked + i {
  width: auto;
  height: auto;
}
.inputError {
  border-color: crimson;
}
.error {
  color: crimson;
  display: none;
}
.error::before {
  font-family: "Font Awesome 6 Free";
  font-weight: 900;
  content: "\f06a";
  position: relative;
  margin-inline: 0.5rem;
}

#buttons {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-top: 1rem;
}
.step[data-step="6"] #buttons {
  flex-direction: column;
  gap: 2rem;
}
.prev,
#restart {
  color: var(--color-accent);
  background-color: transparent;
}

#reqStatus {
  flex: 1;
  border: 1px solid chocolate;
  color: chocolate;
  text-align: center;
  background-color: rgba(210, 105, 30, 0.1);
  border-radius: var(--border-radius-big);
  padding: 1rem 1.5rem;
}
.reqStatusSuc {
  border-color: darkgreen !important;
  color: darkgreen !important;
  background-color: rgba(0, 100, 0, 0.1) !important;
}
#trackingCode {
  flex: 1;
}

footer {
  text-align: center;
}
footer a {
  color: var(--color-font-main);
  border-bottom: 1px dashed var(--color-accent);
}

@media only screen and (min-width: 600px) {
  body {
    margin: 3rem auto;
    max-width: 50rem;
  }

  header {
    flex-direction: row;
  }

  .step {
    padding: 4rem;
  }

  .checklist {
    grid-template-columns: repeat(3, 1fr);
  }

  button,
  #reqStatusLink,
  #restart {
    padding: 1rem 1.75rem;
  }

  #promoCodeBox {
    grid-template-columns: 2fr 1fr;
  }
  #promoCodeBox label,
  #trackingCode {
    grid-column: 1/3;
  }

  .row {
    flex-direction: row;
  }

  .step[data-step="6"] #buttons {
    flex-direction: row;
    gap: unset;
  }
}
